@keyframes floaty {
  0% { transform: translateY(0); }
  50% { transform: translateY(-10px); }
  100% { transform: translateY(0); }
}

@keyframes fadeScale {
  0% {
    opacity: 0;
    transform: scale(0.95);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

body {
  background: url('images/background-01.jpg') no-repeat center center/cover;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin: 0;
  overflow: hidden;
}

body::before {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  backdrop-filter: blur(8px);
  z-index: 0;
}

/* Main card container */
.card {
  z-index: 1;
  background: rgba(255, 255, 255, 0.1); /* Slight transparency */
  padding: 3rem;
  margin: 50px auto;
  width: 300px; /* Adjust width to give enough space for side-by-side cards */
  text-align: center;
  color: white;
  font-family: 'Tajawal';
  font-weight: 400px;
  border-radius: 20px;
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.2);
  backdrop-filter: none; /* No blur on text */
  animation: fadeScale 1s ease-out forwards, floaty 2s ease-in-out infinite;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow: hidden; /* Hide overflow (scrolling cards) */
}

/* Logo styling */
.logo {
  max-width: 100%;
  height: auto;
  margin-bottom: 1rem;
}

/* Heading styles */
h1 {
  margin-bottom: 0.5rem;
  font-size: 2rem;
}

.f1 {
  font-family: 'Tajawal', 'Avenir', sans-serif;
}

.f2 {
  font-family: 'Montserrat';
  margin-bottom: 20px;
}

/* Services Scrollable container */
.service-scroll {
  display: flex;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  gap: 20px;
  padding: 20px;
  justify-content:
